nxt.http.callers

## Class BroadcastTransactionCall

- java.lang.Object
- - nxt.http.APICall.Builder<BroadcastTransactionCall>
  - - nxt.http.callers.BroadcastTransactionCall

-     public class BroadcastTransactionCall
      extends APICall.Builder<BroadcastTransactionCall>

- - ### Field Summary

    - ### Fields inherited from class nxt.http.APICall.Builder

      `params`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static BroadcastTransactionCall` | `create()`
    `BroadcastTransactionCall` | `prunableAttachmentJSON(java.lang.String prunableAttachmentJSON)`
    `BroadcastTransactionCall` | `transactionBytes(byte[] transactionBytes)`
    `BroadcastTransactionCall` | `transactionBytes(java.lang.String transactionBytes)`
    `BroadcastTransactionCall` | `transactionJSON(java.lang.String transactionJSON)`

    - ### Methods inherited from class nxt.http.APICall.Builder

      `build, call, chain, chain, download, feeNQT, feeRateNQTPerFXT, getBlock, getBlocks, getChain, getCreatedTransaction, getCreatedTransactions, getParam, getTransaction, getTransactions, getTransactions, isParamSet, isRemoteOnly, param, param, param, param, param, param, param, param, param, param, param, parts, recipient, recipient, remote, secretPhrase, setParamValidation, sharedPiece, sharedPieceAccount, trustRemoteCertificate, unsignedLongParam, unsignedLongParam`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### create

          public static BroadcastTransactionCall create()

    - #### transactionJSON

          public BroadcastTransactionCall transactionJSON(java.lang.String transactionJSON)

    - #### transactionBytes

          public BroadcastTransactionCall transactionBytes(java.lang.String transactionBytes)

    - #### transactionBytes

          public BroadcastTransactionCall transactionBytes(byte[] transactionBytes)

    - #### prunableAttachmentJSON

          public BroadcastTransactionCall prunableAttachmentJSON(java.lang.String prunableAttachmentJSON)